## tdepim-trinity 14.1.5

=== doc/CMakeLists.txt ===
tde_conditional_add_subdirectory( BUILD_AKREGATOR akregator )
tde_conditional_add_subdirectory( BUILD_KADDRESSBOOK kaddressbook )
tde_conditional_add_subdirectory( BUILD_KALARM kalarm )
tde_conditional_add_subdirectory( BUILD_KANDY kandy )
tde_conditional_add_subdirectory( BUILD_KARM karm )
tde_conditional_add_subdirectory( BUILD_CERTMANAGER kleopatra )
tde_conditional_add_subdirectory( BUILD_KMAIL kmail )
tde_conditional_add_subdirectory( BUILD_KMOBILE kmobile )
tde_conditional_add_subdirectory( BUILD_KNODE knode )
tde_conditional_add_subdirectory( BUILD_KNOTES knotes )
tde_conditional_add_subdirectory( BUILD_KONSOLEKALENDAR konsolekalendar )
tde_conditional_add_subdirectory( BUILD_KONTACT kontact )
tde_conditional_add_subdirectory( BUILD_KORGANIZER korganizer )
tde_conditional_add_subdirectory( BUILD_KORN korn )
tde_conditional_add_subdirectory( BUILD_KTNEF ktnef )
tde_conditional_add_subdirectory( BUILD_CERTMANAGER kwatchgnupg )
tde_conditional_add_subdirectory( BUILD_TDEIOSLAVE tdeioslave )

=== libemailfunctions/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/libtdepim
  ${CMAKE_SOURCE_DIR}/libkmime
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### header files ################################

if( BUILD_LIBTDEPIM )
  install( FILES idmapper.h DESTINATION ${INCLUDE_INSTALL_DIR}/libemailfunctions )
endif()


##### emailfunctions (static) ###################

tde_add_library( emailfunctions STATIC_PIC AUTOMOC
  SOURCES
    email.cpp idmapper.cpp networkstatus.cpp networkstatus.skel
)

=== libkmime/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

# FIXME need some configure checks

project( libkmime )

include( ConfigureChecks.cmake )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/libtdepim
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### kmime (shared) ############################

tde_add_library( kmime SHARED
  SOURCES
    kmime_charfreq.cpp kmime_util.cpp kmime_mdn.cpp
    kmime_codecs.cpp kmime_codec_base64.cpp kmime_codec_uuencode.cpp
    kmime_codec_qp.cpp kmime_codec_identity.cpp kmime_parsers.cpp
    kmime_header_parsing.cpp kmime_content.cpp kmime_headers.cpp
    kmime_message.cpp kmime_newsarticle.cpp boolflags.cpp
    kqcstringsplitter.cpp
  VERSION 2.2.0
  LINK tdecore-shared
  DESTINATION ${LIB_INSTALL_DIR}
)


##### install import cmake modules ###############

tde_install_export( )

=== libkpimidentities/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

project( libkpimidentities )

tde_import( ktnef )
tde_import( libkmime )
tde_import( libkcal )
tde_import( libtdenetwork )
tde_import( certmanager )
tde_import( libtdepim )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libtdepim
  ${CMAKE_SOURCE_DIR}/certmanager/lib
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### kpimidentities (shared) ###################

tde_add_library( kpimidentities SHARED AUTOMOC
  SOURCES
    identitymanager.cpp identity.cpp identitymanager.skel
    identitycombo.cpp
  VERSION 1.0.0
  LINK kleopatra-shared tdepim-shared
  DESTINATION ${LIB_INSTALL_DIR}
)

tde_install_export( )

=== libtdepim/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

project( libtdepim )

include( ConfigureChecks.cmake )

tde_import( libkmime )
tde_import( libkcal )
tde_import( ktnef )

add_subdirectory( icons )
add_subdirectory( pics )
add_subdirectory( tdepartsdesignerplugin )
add_subdirectory( about )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libtdepim
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### headers ###################################

install( FILES kpimprefs.h DESTINATION ${INCLUDE_INSTALL_DIR} )


##### other data ################################

install( FILES pimemoticons.kcfg DESTINATION ${KCFG_INSTALL_DIR} )


##### tdepimwidgets (module) ####################

add_custom_command( OUTPUT tdepimwidgets.cpp
  COMMAND
    ${KDE3_MAKETDEWIDGETS_EXECUTABLE}
    -o tdepimwidgets.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/tdepim.widgets
  DEPENDS
    ${CMAKE_CURRENT_SOURCE_DIR}/tdepim.widgets )

set_source_files_properties( tdepimwidgets.cpp PROPERTIES COMPILE_FLAGS "-DQT_PLUGIN" )

tde_add_kpart( tdepimwidgets
  SOURCES tdepimwidgets.cpp
  LINK tdepim-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}/plugins/designer
)


##### tdepim (shared) ###########################

set( KDE3_DCOPIDL_EXECUTABLE ${KDE3_DCOPIDLNG_EXECUTABLE} )

tde_add_library( tdepim SHARED AUTOMOC
  SOURCES
    ktimeedit.cpp alarmclient.cpp kprefsdialog.cpp kpimprefs.cpp
    categoryselectdialog_base.ui categoryselectdialog.cpp
    categoryeditdialog_base.ui categoryeditdialog.cpp kdateedit.cpp
    kimportdialog.cpp kvcarddrag.cpp sidebarextension.cpp
    infoextension.cpp addressesdialog.cpp addresspicker.ui
    addresseeview.cpp maillistdrag.cpp interfaces/MailTransportServiceIface.skel
    interfaces/AddressBookServiceIface.skel tdeconfigpropagator.cpp tdeconfigwizard.cpp
    weaver.cpp weaverextensions.cpp weaverlogger.cpp pluginloaderbase.cpp
    addresseelineedit.cpp addresseelineedit.skel kdatepickerpopup.cpp
    tdefileio.cpp clicklineedit.cpp configmanager.cpp collectingprocess.cpp
    ldapclient.cpp overlaywidget.cpp progressmanager.cpp progressdialog.cpp
    statusbarprogresswidget.cpp ssllabel.cpp completionordereditor.cpp
    resourceabc.cpp diffalgo.cpp addresseediffalgo.cpp calendardiffalgo.cpp
    htmldiffalgodisplay.cpp ldapsearchdialog.cpp broadcaststatus.cpp
    kresourceprefs.cpp kpixmapregionselectorwidget.cpp
    kpixmapregionselectordialog.cpp tdeabcresourcecached.cpp
    kxface.cpp kaccount.cpp kaddrbook.cpp kfoldertree.cpp kregexp3.cpp
    kscoring.cpp kscoringeditor.cpp ksubscription.cpp kwidgetlister.cpp
    linklocator.cpp qutf7codec.cpp recentaddresses.cpp spellingfilter.cpp
    addresseeselector.cpp addresseeemailselection.cpp designerfields.cpp
    kcmdesignerfields.cpp embeddedurlpage.cpp kincidencechooser.cpp
    groupwarejob.cpp pimemoticons.kcfgc krsqueezedtextlabel.cpp
    csshelper.cpp distributionlist.cpp kpimurlrequesterdlg.cpp
    sendsmsdialog.cpp kmailcompletion.cpp
  VERSION 1.0.0
  LINK kcal-shared tdeimproxy-shared tdeparts-shared ${TQTQUI_LIBRARIES}
  DESTINATION ${LIB_INSTALL_DIR}
)


##### install import cmake modules ###############

tde_install_export( )

=== certmanager/kwatchgnupg/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_definitions( -DLIBKLEOPATRA_NO_COMPAT )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/certmanager/lib
  ${CMAKE_SOURCE_DIR}/libtdepim
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES
    kwatchgnupg.png kwatchgnupg2.png
  DESTINATION ${DATA_INSTALL_DIR}/kwatchgnupg/pics )

install( FILES
    kwatchgnupgui.rc
  DESTINATION ${DATA_INSTALL_DIR}/kwatchgnupg )


##### kwatchgnupg (executable) ##################

tde_add_executable( kwatchgnupg AUTOMOC
  SOURCES
    kwatchgnupgmainwin.cpp kwatchgnupgconfig.cpp
    aboutdata.cpp tray.cpp main.cpp
  LINK kleopatra-shared
  DESTINATION ${BIN_INSTALL_DIR}
)

=== kaddressbook/csv-templates/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_create_translated_desktop(
  SOURCE kaddressbook.desktop outlook2000.desktop yahoo.desktop
  DESTINATION ${DATA_INSTALL_DIR}/kaddressbook/csv-templates
  PO_DIR kaddressbook-desktops
)

=== kaddressbook/xxport/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/kaddressbook
  ${CMAKE_SOURCE_DIR}/kaddressbook/interfaces
  ${CMAKE_SOURCE_DIR}/libtdenetwork
  ${CMAKE_SOURCE_DIR}/libtdepim
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${GNOKII_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)

if( WITH_GNOKII )
  set( GNOKII_DESKTOP gnokii_xxport.desktop )
  set( GNOKII_RCFILE gnokii_xxportui.rc )
endif( )


##### other data ################################

tde_create_translated_desktop(
  SOURCE
    csv_xxport.desktop vcard_xxport.desktop kde2_xxport.desktop
    bookmark_xxport.desktop eudora_xxport.desktop ldif_xxport.desktop
    opera_xxport.desktop pab_xxport.desktop ${GNOKII_DESKTOP}
  DESTINATION ${SERVICES_INSTALL_DIR}/kaddressbook
  PO_DIR kaddressbook-desktops
)

install( FILES
    csv_xxportui.rc vcard_xxportui.rc kde2_xxportui.rc bookmark_xxportui.rc
    eudora_xxportui.rc ldif_xxportui.rc opera_xxportui.rc pab_xxportui.rc
    ${GNOKII_RCFILE}
  DESTINATION ${DATA_INSTALL_DIR}/kaddressbook )


##### libkaddrbk_csv_xxport (module) ############

tde_add_kpart( libkaddrbk_csv_xxport AUTOMOC
  SOURCES csv_xxport.cpp csvimportdialog.cpp dateparser.cpp
  LINK kabinterfaces-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### libkaddrbk_vcard_xxport (module) ##########

tde_add_kpart( libkaddrbk_vcard_xxport AUTOMOC
  SOURCES vcard_xxport.cpp
  LINK kaddressbook-shared qgpgme-shared kabinterfaces-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### libkaddrbk_kde2_xxport (module) ###########

tde_add_kpart( libkaddrbk_kde2_xxport AUTOMOC
  SOURCES kde2_xxport.cpp
  LINK kabinterfaces-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### libkaddrbk_bookmark_xxport (module) #######

tde_add_kpart( libkaddrbk_bookmark_xxport AUTOMOC
  SOURCES bookmark_xxport.cpp
  LINK kabinterfaces-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### libkaddrbk_eudora_xxport (module) #########

tde_add_kpart( libkaddrbk_eudora_xxport AUTOMOC
  SOURCES eudora_xxport.cpp
  LINK kabinterfaces-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### libkaddrbk_ldif_xxport (module) ###########

tde_add_kpart( libkaddrbk_ldif_xxport AUTOMOC
  SOURCES ldif_xxport.cpp
  LINK kabinterfaces-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### libkaddrbk_opera_xxport (module) ##########

tde_add_kpart( libkaddrbk_opera_xxport AUTOMOC
  SOURCES opera_xxport.cpp
  LINK kabinterfaces-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### libkaddrbk_pab_xxport (module) ############

tde_add_kpart( libkaddrbk_pab_xxport AUTOMOC
  SOURCES pab_xxport.cpp pab_mapihd.cpp pab_pablib.cpp
  LINK kabinterfaces-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### libkaddrbk_gnokii_xxport (module) #########

# FIXME gnokii suport are not ready
if( WITH_GNOKII )
  tde_add_kpart( libkaddrbk_gnokii_xxport AUTOMOC
    SOURCES gnokii_xxport.cpp
    LINK kabinterfaces-shared ${GNOKII_LIBRARIES}
    DESTINATION ${PLUGIN_INSTALL_DIR}
  )
endif( )

=== kmail/avscripts/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

install( PROGRAMS
    kmail_clamav.sh kmail_sav.sh kmail_fprot.sh kmail_antivir.sh
  DESTINATION ${BIN_INSTALL_DIR} )

=== kmail/konqueror/CMakeLists.txt ===
#################################################
#
#  (C) 2013 Timothy Pearson
#  kb9vqf (AT) pearsoncomputing.net
#
#  Improvements and feedback are welcome
#
#  This file is released under the GPL >= 2
#
#################################################

add_subdirectory( servicemenus )

=== kode/kxml_compiler/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libtdepim
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### kxml_compiler (executable) ################

tde_add_executable( kxml_compiler
  SOURCES
    parser.cpp creator.cpp kxml_compiler.cpp
  LINK kode-shared
  DESTINATION ${BIN_INSTALL_DIR}
)

=== korganizer/pixmaps/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_install_icons( DESTINATION ${DATA_INSTALL_DIR}/korganizer/icons )

=== debian/changelog ===
tdepim-trinity (4:14.1.5-0ubuntu25.10.0+0) questing; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tdepim

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/control ===
Source: tdepim-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Josh Metzler <joshdeb@metzlers.org>, Sune Vuorela <debian@pusling.com>
Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build,
 tdelibs14-trinity-dev, bison, byacc, bzip2,
 flex, groff-base, libogg-dev,
 libboost-dev (>= 1.33.1), libgpgme11-dev | libgpgme-dev (>= 1.0~),
 libreadline-dev | libreadline6-dev | libreadline5-dev, libsasl2-dev, libssl-dev,
 libxpm-dev, libxss-dev, texinfo, dpkg-dev (>= 1.14.4),
 libgpg-error-dev (>= 1.4-2), gpgsm, libical-dev,
 libcaldav-dev (>= 0.6.5), libcarddav-dev (>= 0.6.2), libcurl4-gnutls-dev
Build-Depends-Indep: doxygen, graphviz, gsfonts-x11, libtqtinterface-doc, tdelibs14-trinity-doc
Build-Conflicts: libkleopatra0-trinity-dev
Standards-Version: 3.8.4

Package: tdepim-trinity
Section: tde
Architecture: all
Replaces: kdepim-kde3 (<< 4:14.0.0~), kdepim-trinity (<< 4:14.0.0~)
Breaks: kdepim-kde3 (<< 4:14.0.0~), kdepim-trinity (<< 4:14.0.0~)
Depends: akregator-trinity (>= ${source:Version}), kaddressbook-trinity (>= ${source:Version}), kalarm-trinity (>= ${source:Version}), kandy-trinity (>= ${source:Version}), karm-trinity (>= ${source:Version}), tdepim-tdefile-plugins-trinity (>= ${source:Version}), tdepim-tdeio-plugins-trinity (>= ${source:Version}), tdepim-tderesources-trinity (>= ${source:Version}), tdepim-wizards-trinity (>= ${source:Version}), kleopatra-trinity (>= ${source:Version}), kmail-trinity (>= ${source:Version}), kmailcvt-trinity (>= ${source:Version}), knode-trinity (>= ${source:Version}), knotes-trinity (>= ${source:Version}), konsolekalendar-trinity (>= ${source:Version}), kontact-trinity (>= ${source:Version}), korganizer-trinity (>= ${source:Version}), korn-trinity (>= ${source:Version}), ktnef-trinity (>= ${source:Version}), libindex0-trinity (>= ${source:Version}), libtdepim1a-trinity (>= ${source:Version}), libkgantt0-trinity (>= ${source:Version}), libkleopatra1-trinity (>= ${source:Version}) | libkleopatra1t64-trinity (>= ${source:Version}), libkpimexchange1-trinity (>= ${source:Version}), libkpimidentities1-trinity (>= ${source:Version}), libksieve0-trinity (>= ${source:Version}), libktnef1-trinity (>= ${source:Version}), libmimelib1c2a-trinity (>= ${source:Version}) | libmimelib1t64-trinity (>= ${source:Version})
Suggests: tdepim-trinity-doc-html
Description: Personal Information Management apps from the official Trinity release
 TDE (the Trinity Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This metapackage includes a collection of Personal Information Management
 (PIM) applications provided with the official release of Trinity.
 .
  Homepage: http://pim.kde.org/

Package: tdepim-trinity-dbg
Priority: extra
Section: libdevel
Replaces: kdepim-kde3-dbg (<< 4:14.0.0~), kdepim-trinity-dbg (<< 4:14.0.0~)
Breaks: kdepim-kde3-dbg (<< 4:14.0.0~), kdepim-trinity-dbg (<< 4:14.0.0~)
Depends: tdelibs-trinity-dbg
Architecture: any
Description: debugging symbols for tdepim-trinity
 This package contains the debugging symbols associated with tdepim-trinity.
 They will automatically be used by gdb for debugging tdepim-related
 issues.

Package: tdepim-trinity-dev
Section: devel
Architecture: any
Replaces: kdepim-kde3-dev (<< 4:14.0.0~), kdepim-trinity-dev (<< 4:14.0.0~)
Breaks: kdepim-kde3-dev (<< 4:14.0.0~), kdepim-trinity-dev (<< 4:14.0.0~)
Depends: kaddressbook-trinity (= ${source:Version}),
 kalarm-trinity (= ${source:Version}),
 tdepim-tderesources-trinity (= ${source:Version}),
 kmail-trinity (= ${source:Version}),
 knotes-trinity (= ${source:Version}),
 kontact-trinity (= ${source:Version}),
 korganizer-trinity (= ${source:Version}),
 libkpimidentities1-trinity (= ${source:Version}),
 libical-dev,
 libtdepim1-trinity-dev (= ${source:Version}),
 libkgantt0-trinity-dev (= ${source:Version}),
 libkleopatra1-trinity-dev (= ${source:Version}),
 libkpimexchange1-trinity-dev (= ${source:Version}),
 libksieve0-trinity-dev (= ${source:Version}),
 libktnef1-trinity-dev (= ${source:Version}),
 libmimelib1-trinity-dev (= ${source:Version})
Description: TDE Personal Information Management [development]
 This package contains development files needed to compile tdepim applications.
 .
 This package is part of Trinity, and a component of the TDE PIM module.
 See the 'tde-trinity' and 'tdepim-trinity' packages for more information.
 . 
  Homepage: http://pim.kde.org/
  
Package: tdepim-trinity-doc
Section: doc
Architecture: all
Replaces: kdepim-kde3-doc (<< 4:14.0.0~), kdepim-trinity-doc (<< 4:14.0.0~)
Breaks: kdepim-kde3-doc (<< 4:14.0.0~), kdepim-trinity-doc (<< 4:14.0.0~)
Suggests: konqueror-trinity | www-browser, doc-base
Description: TDE Personal Information Management library documentation
 TDE core library documentation. You need this documentation to develop TDE PIM
 applications.
 .
 This package is part of Trinity, and a component of the TDE PIM module.
 See the 'tde-trinity' and 'tdepim-trinity' packages for more information.
 . 
  Homepage: http://pim.kde.org/
  
Package: tdepim-trinity-doc-html
Section: doc
Architecture: all
Replaces: kdepim-kde3-doc-html (<< 4:14.0.0~), kdepim-trinity-doc-html (<< 4:14.0.0~)
Breaks: kdepim-kde3-doc-html (<< 4:14.0.0~), kdepim-trinity-doc-html (<< 4:14.0.0~)
Suggests: konqueror-trinity | www-browser, tdepim-trinity
Description: TDE PIM documentation in HTML format
 By default the Personal Information Management applications provided with
 TDE only provide their documentation in TDE docbook format, which can only
 be read by Konqueror or KHelpCenter. This package provides all of the
 TDE PIM documentation converted to HTML format so it can be read with any
 web browser.
 .
 This package is part of Trinity, and a component of the TDE PIM module.
 See the 'tde-trinity' and 'tdepim-trinity' packages for more information.
 . 
  Homepage: http://pim.kde.org/

Package: akregator-trinity
Section: web
Architecture: any
Replaces: akregator-kde3 (<< 4:14.0.0~), akregator-trinity (<< 4:14.0.0~)
Breaks: akregator-kde3 (<< 4:14.0.0~), akregator-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: RSS feed aggregator for TDE
 aKregator is a fast, lightweight, and intuitive feed reader program
 for TDE.  It allows you to quickly browse through hundreds of
 thousands of internet feeds in a quick, efficient, and familiar way.
 .
 This package is part of Trinity, and a component of the TDE PIM module.
 See the 'tde-trinity' and 'tdepim-trinity' packages for more information.
 .
  Homepage: http://akregator.kde.org/

Package: kaddressbook-trinity
Section: utils
Architecture: any
Replaces: kaddressbook-kde3 (<< 4:14.0.0~), kaddressbook-trinity (<< 4:14.0.0~)
Breaks: kaddressbook-kde3 (<< 4:14.0.0~), kaddressbook-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: tdepim-tderesources-trinity, tdebase-tdeio-plugins-trinity
Description: TDE NG addressbook application
 KAddressBook is the main address book application for TDE; it enables you
 to manage your contacts efficiently and comfortably. It can load and save
 your contacts to many different locations, including the local file system,
 LDAP servers, and SQL databases.
 .
 This package is part of Trinity, and a component of the TDE PIM module.
 See the 'tde-trinity' and 'tdepim-trinity' packages for more information.

Package: kalarm-trinity
Section: tde
Architecture: any
Replaces: kalarm-kde3 (<< 4:14.0.0~), kalarm-trinity (<< 4:14.0.0~)
Breaks: kalarm-kde3 (<< 4:14.0.0~), kalarm-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: kmix-trinity, kttsd-trinity
Description: Trinity alarm message, command and email scheduler
 KAlarm provides a graphical interface to schedule personal timed events -
 pop-up alarm messages, command execution and sending emails. There is a
 range of options for configuring recurring events.
 .
 A pop-up alarm can show either a simple text message, or the contents of a
 text or image file, It can optionally be spoken, or play a sound file. You
 can choose its appearance, and set reminders. Among KAlarm's other
 facilities, you can set up templates to allow KAlarm to be used as a 'tea
 timer'.
 .
 As an alternative to using the graphical interface, alarms can be scheduled
 from the command line or via DCOP calls from other programs. KAlarm is
 TDE-based, but will also run on other desktops.
 .
 This package is part of Trinity, and a component of the TDE PIM module.
 See the 'tde-trinity' and 'tdepim-trinity' packages for more information.

Package: kandy-trinity
Section: utils
Architecture: any
Replaces: kandy-kde3 (<< 4:14.0.0~), kandy-trinity (<< 4:14.0.0~)
Breaks: kandy-kde3 (<< 4:14.0.0~), kandy-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: Trinity mobile phone utility
 At the moment Kandy is more or less a terminal program with some special
 features to store commands and their parameters, but is also has a simple GUI
 to access the phone book of a mobile phone and it is able to save this phone
 book to the TDE address book.
 .
 Kandy is aimed at mobile phones with integrated (GSM) modems.
 .
 This package is part of Trinity, and a component of the TDE PIM module.
 See the 'tde-trinity' and 'tdepim-trinity' packages for more information.

Package: karm-trinity
Section: utils
Architecture: any
Replaces: karm-kde3 (<< 4:14.0.0~), karm-trinity (<< 4:14.0.0~)
Breaks: karm-kde3 (<< 4:14.0.0~), karm-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: Trinity time tracker tool
 KArm is a time tracker for busy people who need to keep track of the amount of
 time they spend on various tasks.
 .
 This package is part of Trinity, and a component of the TDE PIM module.
 See the 'tde-trinity' and 'tdepim-trinity' packages for more information.

Package: tdepim-tdefile-plugins-trinity
Section: tde
Architecture: any
Replaces: kdepim-kfile-plugins-kde3 (<< 4:14.0.0~), kdepim-kfile-plugins-trinity (<< 4:14.0.0~)
Breaks: kdepim-kfile-plugins-kde3 (<< 4:14.0.0~), kdepim-kfile-plugins-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: TDE File dialog plugins for palm and vcf files
 File dialog plugins for palm and vcf files.
 .
 This package is part of Trinity, and a component of the TDE PIM module.
 See the 'tde-trinity' and 'tdepim-trinity' packages for more information.

Package: tdepim-tdeio-plugins-trinity
Section: tde
Architecture: any
Replaces: kdepim-kio-plugins-kde3 (<< 4:14.0.0~), kdepim-kio-plugins-trinity (<< 4:14.0.0~)
Breaks: kdepim-kio-plugins-kde3 (<< 4:14.0.0~), kdepim-kio-plugins-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: Trinity pim I/O Slaves
 This package includes the pim tdeioslaves. This includes imap4, sieve,
 and mbox.
 .
 This package is part of Trinity, and a component of the TDE PIM module.
 See the 'tde-trinity' and 'tdepim-trinity' packages for more information.

Package: tdepim-tderesources-trinity
Section: tde
Architecture: any
Replaces: kdepim-kresources-kde3 (<< 4:14.0.0~), kdepim-kresources-trinity (<< 4:14.0.0~)
Breaks: kdepim-kresources-kde3 (<< 4:14.0.0~), kdepim-kresources-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Recommends: ${shlibs:Recommends}, korganizer-trinity
Suggests: knotes-trinity
Description: Trinity pim resource plugins
 This package includes several plugins needed to interface with groupware
 servers. It also includes plugins for features such as blogging and
 tracking feature plans.
 .
 This package is part of Trinity, and a component of the TDE PIM module.
 See the 'tde-trinity' and 'tdepim-trinity' packages for more information.

Package: tdepim-wizards-trinity
Section: tde
Architecture: any

## tdepim-trinity 14.1.6~pre0

=== debian/changelog ===
tdepim-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for f0a5f0b7ddad40e70290a6cd1f3914c6a17e5f86
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdepim

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## tdepim-trinity 14.1.6~pre2

=== debian/changelog ===
tdepim-trinity (4:14.1.6~pre2-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for bcbf5a024d406e2a77dbd472535fbfc955660469
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdepim

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 16 Dec 2025 11:16:19 +0100

## tdepim-trinity 14.1.6~pre3

=== debian/changelog ===
tdepim-trinity (4:14.1.6~pre3-0ubuntu25.10.0+0) questing; urgency=low

  * Automated git build for f1f8e378956a0334dd455d8c1d5bc5b43b0efd36
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdepim

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 30 Dec 2025 08:53:06 +0100

## tdepim-trinity 14.1.6~pre8

=== debian/changelog ===
tdepim-trinity (4:14.1.6~pre8-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for d6523152f693f10973149d8c7fb20f6667861587
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdepim

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 17 Jan 2026 16:17:50 +0100

## tdepim-trinity 14.1.6~pre12

=== kaddressbook/kcmconfigs/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/kaddressbook/common
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/kaddressbook/common
  ${CMAKE_SOURCE_DIR}/kaddressbook/interfaces
  ${CMAKE_SOURCE_DIR}/libtdepim
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE kabconfig.desktop kabldapconfig.desktop kabcustomfields.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR kaddressbook-desktops
)


##### kcm_kabconfig (module) ####################

tde_add_kpart( kcm_kabconfig AUTOMOC
  SOURCES
    kcmkabconfig.cpp kabconfigwidget.cpp extensionconfigdialog.cpp
    addresseewidget.cpp
  LINK kabcommon-static tdepim-shared
  DEPENDENCIES kaddressbook+common+kabprefs_base.cpp
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### kcm_kabldapconfig (module) ################

tde_add_kpart( kcm_kabldapconfig AUTOMOC
  SOURCES
    addhostdialog.cpp kcmkabldapconfig.cpp ldapoptionswidget.cpp
  LINK tdepim-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### kcm_kabcustomfields (module) ##############

tde_add_kpart( kcm_kabcustomfields AUTOMOC
  SOURCES kcmkabcustomfields.cpp
  LINK kabcommon-static tdepim-shared
  DEPENDENCIES kaddressbook+common+kabprefs_base.cpp
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== tderesources/egroupware/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/kaddressbook/common
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/kaddressbook/common
  ${CMAKE_SOURCE_DIR}/libtdepim
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### headers ###################################

install( FILES
    tdeabc_resourcexmlrpc.h kcal_resourcexmlrpc.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/tdeabc )


##### other data ################################

tde_create_translated_desktop(
  SOURCE tdeabc_xmlrpc.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}/tderesources/tdeabc
  PO_DIR tderesources-desktops
)

tde_create_translated_desktop(
  SOURCE kcal_xmlrpc.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}/tderesources/kcal
  PO_DIR tderesources-desktops
)

tde_create_translated_desktop(
  SOURCE knotes_xmlrpc.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}/tderesources/knotes
  PO_DIR tderesources-desktops
)


##### egwcommon (static) ########################

tde_add_library( egwcommon STATIC_PIC AUTOMOC
  SOURCES
    xmlrpciface.cpp synchronizer.cpp debugdialog.cpp
)


##### tdeabc_xmlrpc (shared) ######################

tde_add_library( tdeabc_xmlrpc SHARED AUTOMOC
  SOURCES
    tdeabc_resourcexmlrpc.cpp tdeabc_resourcexmlrpcconfig.cpp
    tdeabc_egroupwareprefs.kcfgc
  VERSION 1.0.0
  LINK egwcommon-static kabcommon-static tdepim-shared
  DEPENDENCIES kaddressbook+common+kabprefs_base.cpp
  DESTINATION ${LIB_INSTALL_DIR}
)


##### kcal_xmlrpc (shared) ######################

tde_add_library( kcal_xmlrpc SHARED AUTOMOC
  SOURCES
    kcal_resourcexmlrpc.cpp kcal_resourcexmlrpcconfig.cpp todostatemapper.cpp
    kcal_egroupwareprefs.kcfgc
  VERSION 1.0.0
  LINK egwcommon-static tdepim-shared
  DESTINATION ${LIB_INSTALL_DIR}
)


##### knotes_xmlrpc (shared) ####################

tde_add_library( knotes_xmlrpc SHARED AUTOMOC
  SOURCES
    knotes_resourcexmlrpc.cpp knotes_resourcexmlrpcconfig.cpp
    knotes_egroupwareprefs.kcfgc
  VERSION 1.0.0
  LINK egwcommon-static knotes-shared
  DESTINATION ${LIB_INSTALL_DIR}
)


##### tdeabc_xmlrpc (module) ######################

tde_add_kpart( tdeabc_xmlrpc AUTOMOC
  SOURCES tdeabc_resourcexmlrpcplugin.cpp
  LINK tdeabc_xmlrpc-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### kcal_xmlrpc (module) ######################

tde_add_kpart( kcal_xmlrpc AUTOMOC
  SOURCES kcal_resourcexmlrpcplugin.cpp
  LINK kcal_xmlrpc-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### knotes_xmlrpc (module) ####################

tde_add_kpart( knotes_xmlrpc AUTOMOC
  SOURCES knotes_resourcexmlrpcplugin.cpp
  LINK knotes_xmlrpc-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== debian/changelog ===
tdepim-trinity (4:14.1.6~pre12-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 327f4034090d37be3744cc97ec5dae79661d0c67
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdepim

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 12 Feb 2026 08:38:08 +0100
